#ifndef __INCLUDED_vpass_h
#define __INCLUDED_vpass_h

/*-
 *  Copyright (c) 2001  Peter Pentchev
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */

/* $Ringlet: vpass.h 2670 2008-10-09 15:51:23Z roam $ */

#ifndef __unused
#ifdef __GNUC__
#define __unused	__attribute__((unused))
#else
#define __unused
#endif /* __GNUC__ */
#endif /* __unused */

#ifndef RDBG
#ifdef EBUG
#define RDBG(x)         if (quiet < 2) { printf x; }
#else /* !EBUG */
#define RDBG(x)
#endif /* EBUG */
#endif /* RDBG */

#ifndef RINF
#define RINF(x)         printf x;
#endif /* RINF */

/* * *		Definitions		* * */

typedef enum {
	VP_ERR_NONE,
	VP_ERR_NOMEM, VP_ERR_CMDLINE,
	VP_ERR_FGETS,
	VP_ERR_NET_NOTINIT,
	VP_ERR_NET_UCS_NOPROTO,
	VP_ERR_READ, VP_ERR_WRITE,
	VP_ERR_COMM,
	VP_ERR_INT,
	VP_ERR_LAST
} vp_err_t;

#define VP_OPTSTR	"bCc:hN:nOP:qu:Vv"

/* * *		Variables		* * */

extern int	verbose, quiet;
extern char	vp_verstr[];

extern char	*vp_user, *vp_cuser, *vp_oldp, *vp_newp;

extern int	vp_create;

/* * *		Functions		* * */


#endif /* __INCLUDED_vpass_h */
